%define upstream_name    Scalar-Does
%define upstream_version 0.201

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Additional constants for Scalar::Does, inspired by the built-in Moose type constraints
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Scalar/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(IO::Detect) >= 0.1.0
BuildRequires: perl(PadWalker)
BuildRequires: perl(Scalar::Util) >= 1.200.0
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More) >= 0.610.0
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Type::Tiny)
BuildRequires: perl(namespace::clean) >= 0.190.0
BuildRequires: perl(lexical::underscore)
BuildArch:  noarch

Obsoletes: perl-IO-Detect <= 0.5.0-3

%description
It has long been noted that Perl would benefit from a 'does()' built-in. A
check that 'ref($thing) eq 'ARRAY'' doesn't allow you to accept an object
that uses overloading to provide an array-like interface.

Functions
    * 'does($scalar, $role)'

      Checks if a scalar is capable of performing the given role. The
      following (case-sensitive) roles are predefined:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc COPYRIGHT Changes LICENSE META.yml MYMETA.yml README SIGNATURE TODO
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Nov 29 2013 jquelin <jquelin> 0.201.0-4.mga4
+ Revision: 554049
- wrong perl-IO-Detect version obsoleted

* Fri Nov 29 2013 jquelin <jquelin> 0.201.0-3.mga4
+ Revision: 554031
- obsoleting perl-IO-Detect (merged upstream)

* Mon Oct 21 2013 umeabot <umeabot> 0.201.0-2.mga4
+ Revision: 538605
- Mageia 4 Mass Rebuild

* Tue Oct 01 2013 sander85 <sander85> 0.201.0-1.mga4
+ Revision: 489985
- update to 0.201

* Thu Sep 26 2013 sander85 <sander85> 0.200.0-1.mga4
+ Revision: 487030
- update to 0.200

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 372540
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.10.0-1.mga3
+ Revision: 342583
- update to 0.010

* Wed Nov 07 2012 jquelin <jquelin> 0.9.0-1.mga3
+ Revision: 315841
- update to 0.009

* Wed Oct 10 2012 jquelin <jquelin> 0.6.0-1.mga3
+ Revision: 304109
- imported package perl-Scalar-Does


* Wed Oct 10 2012 cpan2dist 0.006-1mga
- initial mageia release, generated with cpan2dist
